# Copyright (C) 2011-2023 RhodeCode GmbH
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License, version 3
# (only), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# This program is dual-licensed. If you wish to learn more about the
# RhodeCode Enterprise Edition, including its added features, Support services,
# and proprietary license terms, please see https://rhodecode.com/licenses/


class JSONRPCBaseError(Exception):
    def __init__(self, message='', *args):
        self.message = message
        super().__init__(message, *args)


class JSONRPCError(JSONRPCBaseError):
    pass


class JSONRPCValidationError(JSONRPCBaseError):

    def __init__(self, *args, **kwargs):
        self.colander_exception = kwargs.pop('colander_exc')
        super().__init__(
            message=self.colander_exception, *args)


class JSONRPCForbidden(JSONRPCBaseError):
    pass

